Mettre à jour Ubuntu vers la version 15.04 | Angristan
Mettre à jour Ubuntu vers la version 15.04

Mettre à jour Ubuntu vers la version 15.04

Ce billet a été écrit il y a plus d'un an. Il peut contenir des informations erronées.

Edit : Bonjour ! Vous êtes probablement tombé sur cet article depuis un moteur de recherche. Malheureusement cet article est obsolète et ne correspond probablement pas à ce que vous cherchez. Je ne compte pas écrire un article à chaque sortie d’Ubuntu, c’est pourquoi j’ai crée une page de documentation qui couvre de manière plus complète les mises à jour d’Ubuntu, et ce sans être lié à une version spécifique. Je vous conseille donc de la consulter, plutôt que cet article ! 🙂


C’est en ce 23 avril que sort la nouvelle version d’Ubuntu : la 15.04 « Vivid Vervet » . C’est une version supportée le court terme (9 mois) donc pas une LTS, dont la prochaine sera la 16.04, donc dans 1 an.

Au niveau des nouveautés c’est pas la folie mais voici les plus notables :

  • Remplacement du système d’init upstart par systemd
  • Noyau 3.19
  • Mise à jour de Unity et de Compiz (pas de changement de version)
  • Mise à jour de la quasi totalité des paquets système et des applications pré-installées.

Si vous voulez en savoir plus, je vous laisse regarder les liens en fin d’article.

Si vous sentez que vous avez une âme d’aventurier, vous pouvez faire la mise à jour dès à présent. Je vous préviens tout de même, et la réputation d’Ubuntu peut en témoigner, il y des chances que ça casse tout, donc sauvegardez vos données avant. 😉

Premièrement, allez dans votre gestionnaire de mise à jour et choisissez de recevoir toutes nouvelles versions d’Ubuntu :

Mettez à jour Ubuntu 14.10 vers 15.04

Ensuite ouvrez votre terminal et faites :

sudo apt-get update
sudo do-release-upgrade

Cette commande va rechercher une nouvelle version d’Ubuntu, télécharger les nouveaux dépôts et mettre à jour les paquets.

Au redémarrage, faites :

sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get autoremove

Dans mon cas j’ai installé Ubuntu 14.10 hier pour tester, et j’ai 1500 paquets à mettre à jour, il va donc falloir être patient (comptez plusieurs heures suivant votre connexion et la puissance de votre PC)

Mettez à jour Ubuntu 14.10 vers 15.04

Si vous en avez la possibilité, je vous conseille tout de même de réinstaller complètement Ubuntu. 😉

Voici les versions d’Ubuntu supportées à ce jour (qui reçoivent des mises à jour) :

  • 12.04 LTS jusqu’en avril 2017
  • 14.04 LTS jusqu’en avril 2019
  • 14.10 jusqu’en juillet 2015
  • 15.04 jusqu’en février 2016

On remarque que l’avant-dernière version, la 15.10, ne sera plus supportée dans quelques mois. Je vous conseille donc de mettre à jour votre OS si vous n’utilisez pas une des LTS actuellement supportées.

Sources :


Dernière modification le 17 décembre 2017.
guest
24 Commentaires
Newest
Oldest Most Voted
Inline Feedbacks
View all comments
mahamadou Traore

Bonjour Stanislas
je suis aussi un passionne du libre , je travaille sur ubuntu 14.04 egalement.
j’aimerais que mon lanceur , c’est a dire mes menus soit comme le tien.
merci librement

greg

j’écris ce message un peu honteux mais j’ai essayé de réaliser la maj que tu propose via une version 14.04.
Grosse erreur, au reboot écran noir, j’attends un moment, je le redemarre fenêtre ubuntu avec un chargement puis fenêtre noir avec un tiret blanc qui clignote.
Quand j’entre dans la console je découvre que je suis encore en 14.04 mais impossible de lancer quoi que ce soit…
Une idée quelquonque ? je vais essayer de booter depuis un CD sait on jamais

po9794

Quel thème utilises-tu dans l’image en bas de ton article ?
comment image

J’aime bien ce style et j’aimerais l’appliquer…

po9794

Génial !
Merci, il est vraiment trop stylé ce thème.

flutterbrony

Moi, je dois absolument faire la mise a niveau, l’installateur de la 14.10 et de la 15.04 plante au niveau du partitionemen du disque mais l’installateur de la 14.04 passe bien ‘juste 50 minutes a chercher et partitioner les disques).
De plus, la 15.04 ajoute le suport des uefi 32 bit qui équipe ma machine (pour le moment, je suis obligé de démmarrer depuis une clé préparé a l’avance qui passe la main au grub du pc), elle ajoute les drivers de ma batterie, le son depuis la prise jack marche (mais toujours pas le micro ni les haut parleurs intégré), mon touchpad marche qu’a partir du noyeau 3.18 et plus et ensuite, il me reste plus qu’a compiler les drivers du clavier (je n’ai toujours pas trouvé comment l’activer au démmarrage, je suis tout le temps obligé de faire « sudo ./installdrivers.sh » a chaque démmarrage).
Je suis obligé de passer sur linux parce que windows s’est planté totalement en se mettant a jour, (j’ai du télécharger un cd de réinstallation et les drivers d’Acer mais les touches du clavier a droite du ‘u’ ne marchent pas).
La mise a niveau comme ca est elle aussi « fiable » que celle en graphique d’Ubuntu ?

flutterbrony

Ok merci, je la teste en ce moment même, (il fini de téléchager dans 10 minutes), J’espère que ca vas marche.
Autre chose, je n’arrive pas a compiler les drivers du wifi « rtl8723as », pourrais-tu m’aider quand j’aurais fait l’upgrade ?
Et pour le clavier, si je mettais le ./installdriver dans /opt, tu crois que ca serais bon ? (il me le faut fonctionel pour Lundi)
désolé du dérangement et bonne nuit.

flutterbrony

Bon bah voilà, c’est fait.
Je viens d’en profiter pour configurer l’uefi 32 bit qu’ajoute la 15.04 (mon acer etant un uefi 32 bit uniquement).
J’ai eu quelques problèmes par contre, et j’espère qu’ils se sont réglé tout seul, pendant l’installation de la mise a niveau, entre 90 et 95%, l’écran s’est éteint pendant 2 minutes, j’était prêt a l’arrêté quand c’est revenu, avec unity en moins. et le clavier ne fonctionnais plus, (le clavier usb non plus) donc quand il m’a proposé d’enlever ce qui n’était plus necessaire, je n’ai rien pus faire. J’ai redémmarré comme ca et j’ai eu 2 erreurs de plus au boot (il ne trouvais pas grub/efi/i383, ce qui est normal vu qu’il ne s’installe pas automatiquement, je viens de le faire là, ca devrais aller). J’ai entré mon mot de passe quand c’était demandé et il s’est figé là. J’ai redémmarré et il m’a pas demandé le mot de passe et s’est connecté tout seul :/
J’en ai profité pour faire les 3 dernières commandes que tu passe et voilà. Plus qu’a tester maintenant.

flutterbrony

Non, ce n’est toujours pas fonctionnel, je suis obligé de passé par une clé ou j’ai un live d’ubuntu 14.04, j’ai modifié le grub.cfg de la clé pour qu’il charge le grub.cfg qui se trouve dans mon /boot/grub/grub.cfg sur mon pc.
Comme ca je peux démmarrer mais il me dit toujours au démmarrage que /boot/grub/grub-efi-ia32 est introuvable alors que j’ai suivis ce tuto pour l’uefi 32 bit sur ubuntu 15.04 : http://sturmflut.github.io/linux/ubuntu/2015/02/04/installing-ubuntu-on-baytrail-tablets-version-2/ (j’ai pris la méthode simple, je vais tenter la méthode compliqué qui est proposé (qui n’est pas vraiment très compliqué, elle devrais mieux marcher)).
Au moins, il démmarre quand même mais pas a tout les coup, 1 fois sur 2

flutterbrony

suivre le tutoriel a résolu mes erreurs de boot mais je doit toujours utiliser une clé usb pour démmarrer, la commande efibootmgr qui est donné dans le tutoriel met bien ubuntu dans les périphériques efi a booter mais l’uefi de ma tablette ne le vois pas (en faite, il paraît même incapable de booter sur le ssd, il propose le disque dur, les 2 ports usb et le réseau).
Au moins grub démmarre bien sans erreurs et ubuntu juste les erreurs courantes du a l’uefi.
Par contre, la mise a niveau ne m’as pas mis a niveau le noyeau, je suis toujours en 3.16 ce qui est embêtant puisque la souri marche en 3.17 et plus et la 3.19 ajoute presque tout les drivers qu’il me manque (juste le réseau, une partie du son et la clavier a faire après).
Est-ce normal ? je fait comment maintenant pour passer en 3.19 ?
encore désolé du dérangement, Flutter.

flutterbrony

J’ai a demi résolu le problème de wifi (il ne voi que les box de chez buygue et de temps en temps celle de chez Orange et Free …) Mais il ne peux pas se connecter sur mon wifi même s’il le voit.
J’ai juste eu a modifier un fichier du driver brcmfmac.
Entre temps, j’ai voulu résoudre les dernières erreures au boot (des erreures d’entrée/sortie du MMC interne qui m’a été vendu comme un SSD) Mais après ca, impossible de le redémmarrer, j’ai donc tenté de tout réinstaller mais maintenant il n’arrive plus a installer grub et impossible de l’installer manuellement (déjà que je ne suis pas sur que grub soit la dernière chose qu’il installe puis configure).
Bref, ce truc commence a me faire rager, si quelqu’un avais une idée, les aides du forum et de l’IRC sont en gros, désolé, je ne vois pas comment résoudre ton problème …).

xhark

Personnellement je n’aime pas non plus Unity, je préfère donc Xubuntu (ou Lubuntu) qui en plus sont plus légers

limoux

Tu peux tenter mint, sinon opensuse… tres complet mais avec kde, c’est bien plus proche de windows pour une transition…

Unity dans ubuntu c’est assez particulier

youyou

J’hésite a me lancé dans ubuntu…
Il ne rivalise pas encore avec windows
Aurais-tu des arguments pour me faire changer d’avis ?